summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZamarin Arthur <arthurzam@gmail.com>2019-03-18 09:33:33 +0200
committerRobin H. Johnson <robbat2@gentoo.org>2019-04-17 21:05:19 -0700
commit3d0e07a3b8532dcee2691a2ce8e6937b1be4176f (patch)
tree0bdfe6d91e34aa0b327440fedc0ecfb9c561a576 /dev-python/pylibacl
parentnet-misc/pcapfix: version bump 1.1.4, EAPI 7 (diff)
downloadgentoo-3d0e07a3b8532dcee2691a2ce8e6937b1be4176f.tar.gz
gentoo-3d0e07a3b8532dcee2691a2ce8e6937b1be4176f.tar.bz2
gentoo-3d0e07a3b8532dcee2691a2ce8e6937b1be4176f.zip
dev-python/pylibacl: bump version 0.5.3, EAPI 7
Closes: https://bugs.gentoo.org/672860 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Zamarin Arthur <arthurzam@gmail.com> Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Diffstat (limited to 'dev-python/pylibacl')
-rw-r--r--dev-python/pylibacl/Manifest1
-rw-r--r--dev-python/pylibacl/pylibacl-0.5.3.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/pylibacl/Manifest b/dev-python/pylibacl/Manifest
index 6f0e67f861c..6c928c50eea 100644
--- a/dev-python/pylibacl/Manifest
+++ b/dev-python/pylibacl/Manifest
@@ -1 +1,2 @@
DIST pylibacl-0.5.0.tar.gz 23886 BLAKE2B fdc447701d2856a460ad6cf5d4a31e9334cf5cda668af7d44c780bfb3320d2aa9d58e44d43d2b43b134a9fbac76d657a03f9190fd0c8ce1b6f4061da93cee56a SHA512 c12390b6a0ca73fd351b84860a9d68d74126dbcd8656916d677a39002a6e4abbac704d450b0b0118bba40987cdd11cc11ad14008de39dac8dc9ca7587ae54c46
+DIST pylibacl-v0.5.3.tar.gz 32792 BLAKE2B 005785dda2b7933ff71dd1296b1d4315a6492fc893aba56136c775f78b9aa3bd8f9d4898bbe0160fac53a306329977ddaecd073739531ba42dd0b6cc622b9eef SHA512 ea648acc3df9e1cf2fd68576b0b691a353b257d00b74fc80aa7f60089b9dbc912452ebe6b84da2930cac888b9047740530dd0e38b4d5be52c37fc6d3a29a7ce2
diff --git a/dev-python/pylibacl/pylibacl-0.5.3.ebuild b/dev-python/pylibacl/pylibacl-0.5.3.ebuild
new file mode 100644
index 00000000000..623d3c0f5de
--- /dev/null
+++ b/dev-python/pylibacl/pylibacl-0.5.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="POSIX ACLs (Access Control Lists) for Python"
+HOMEPAGE="https://pylibacl.k1024.org/
+ https://pypi.org/project/pylibacl/"
+SRC_URI="https://github.com/iustin/${PN}/archive/${PN}-v${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86"
+
+RDEPEND="sys-apps/acl"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${PN}-${PN}-v${PV}"
+
+python_test() {
+ if ! "${PYTHON}" test/test_acls.py; then
+ eerror
+ eerror "If you got the following errors:"
+ eerror "\"IOError: [Errno 95] Operation not supported\","
+ eerror "then you should remount the filesystem containing"
+ eerror "build directory with \"acl\" option enabled."
+ eerror
+ die "Tests fail with ${EPYTHON}"
+ fi
+}